Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server.renderers
Class SimpleXmlRenderer

    java.lang.Object
      oracle.ifs.server.renderers.XmlRenderer
          oracle.ifs.server.renderers.SimpleXmlRenderer

All Implemented Interfaces:
  Renderer

    public class SimpleXmlRenderer

extends XmlRenderer

The SimpleXMLRenderer provides a convenient mapping between LibraryObjects and XML. For a full description of the mapping see XmlRenderer Spec .

SimpleXmlRenderer also uses the options hashtable for configuration.

(Unpublished)

Field Summary
`static java.lang.String` | `LOCALIZE_NUMBERS` The hashtable key for specifying whether number attributes (including id references to other LibaryObjects) should be localized or should be presented in the default format.
`static java.lang.String` | `RENDER_ALL_ATTRIBUTES` The hashtable key for specifying whether to render all the attributes of a classobject w/out invoking custom rendering
`static java.lang.String` | `RENDER_FALSE_PERMISSIONS` The hashtable key for specifying whether the false permission bits on an acl should be renderered, or just the true bits.
`static java.lang.String` | `RENDER_NULL_ATTRIBUTES` The hashtable key for specifying whether attributes with null values should have tags in the XML document or whether they should be omitted.
`static java.lang.String` | `SUPPRESS_ASSOCIATED_SCHEMAOBJECT_ATTRIBUTE` Option used to supress additional attributes when Schema categories are being rendered.
`static java.lang.String` | `SUPPRESS_DATES`
`static java.lang.String` | `SUPPRESS_IDS`
`static java.lang.String` | `SUPPRESS_XML_ATTRIBUTES` Option used to suppress additional XML attribute information such as refType and ClassName tags

Fields inherited from class oracle.ifs.server.renderers.XmlRenderer
`CHAR_ENCODING, m_Localizer`

Constructor Summary
`SimpleXmlRenderer(S_LibrarySession session)` Constructs a SimpleXMLRenderer

Method Summary
`protected oracle.xml.parser.v2.XMLDocument` | `createTree(S_LibraryObject slo, java.util.Hashtable options)` Creates a DOM tree representing the S_LibraryObject passed in.

Methods inherited from class oracle.ifs.server.renderers.XmlRenderer
`renderAsReader, renderAsStream, renderAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDER_NULL_ATTRIBUTES

    public static final java.lang.String RENDER_NULL_ATTRIBUTES

  Description copied from class: `SimpleXmlRenderer`
  The hashtable key for specifying whether attributes with null values should have tags in the XML document or whether they should be omitted. The default is to omit null attributes.

  See Also:
    Constant Field Values
  (Published)

### RENDER_FALSE_PERMISSIONS

    public static final java.lang.String RENDER_FALSE_PERMISSIONS

  Description copied from class: `SimpleXmlRenderer`
  The hashtable key for specifying whether the false permission bits on an acl should be renderered, or just the true bits. By default, this renderer only includes the true permission bits.

  See Also:
    Constant Field Values
  (Published)

### RENDER_ALL_ATTRIBUTES

    public static final java.lang.String RENDER_ALL_ATTRIBUTES

  Description copied from class: `SimpleXmlRenderer`
  The hashtable key for specifying whether to render all the attributes of a classobject w/out invoking custom rendering

  See Also:
    Constant Field Values
  (Published)

### LOCALIZE_NUMBERS

    public static final java.lang.String LOCALIZE_NUMBERS

  Description copied from class: `SimpleXmlRenderer`
  The hashtable key for specifying whether number attributes (including id references to other LibaryObjects) should be localized or should be presented in the default format. The default is for no localization.

  See Also:
    Constant Field Values
  (Published)

### SUPPRESS_IDS

    public static final java.lang.String SUPPRESS_IDS

See Also:
  Constant Field Values
(Unpublished)

### SUPPRESS_DATES

    public static final java.lang.String SUPPRESS_DATES

See Also:
  Constant Field Values
(Unpublished)

### SUPPRESS_XML_ATTRIBUTES

    public static final java.lang.String SUPPRESS_XML_ATTRIBUTES

  Description copied from class: `SimpleXmlRenderer`
  Option used to suppress additional XML attribute information such as refType and ClassName tags

  See Also:
    Constant Field Values
  (Published)

### SUPPRESS_ASSOCIATED_SCHEMAOBJECT_ATTRIBUTE

    public static final java.lang.String SUPPRESS_ASSOCIATED_SCHEMAOBJECT_ATTRIBUTE

  Description copied from class: `SimpleXmlRenderer`
  Option used to supress additional attributes when Schema categories are being rendered.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### SimpleXmlRenderer

    public SimpleXmlRenderer(S_LibrarySession session)
                      throws IfsException

  Constructs a SimpleXMLRenderer

  Parameters:
    `session` - The S_LibrarySession constructing this SimpleXMLRenderer
  Throws:
    `IfsException` - if the operation fails
  (Published)

Method Detail

### createTree

    protected oracle.xml.parser.v2.XMLDocument createTree(S_LibraryObject slo,
                                                          java.util.Hashtable options)
                                                   throws IfsException

  Description copied from class: `SimpleXmlRenderer`
  Creates a DOM tree representing the S_LibraryObject passed in.

  The options available are:

  CHARACTER_SET
    (from XMLRenderer) Sets the character encoding for this document
  RENDER_NULL_ATTRIBUTES
    Boolean which if true causes attributes with null values to be rendered as empty tags.
  LOCALIZE_NUMBERS
    Boolean which if true causes numerical attributes to be formatted using the session Locale's NumberFormat class.
  RENDER_ALL_ATTRIBUTES
    Boolean which if true causes the effective attributes of the class to be rendered

  Specified by:
    `createTree` in class `XmlRenderer`
  Parameters:
    `slo` - the object to be rendered
    `options` - the options table- see method description
  Returns:
    the XMLDocument to render
  Throws:
    `IfsException` - thrown if an error occured during this operation
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD